import { HTMLAttributes, ReactElement, ReactNode } from 'react';
import { KaFontType } from '../../styles';
export type KaTextProps = {
    fontType: KaFontType;
    children: ReactNode;
    color?: string;
    center?: boolean;
} & HTMLAttributes<HTMLDivElement>;
export declare const KaText: ({ fontType, children, color, center, style, ...rest }: KaTextProps) => ReactElement;
