import { ReactElement } from 'react';
export interface KaTextInputProps {
    inputProps: {
        type?: 'text' | 'email' | 'password' | 'number';
        placeholder?: string;
        value: string;
        onChangeText: (value: string) => void;
        onKeyDown?: (event: React.KeyboardEvent) => void;
        style?: React.CSSProperties;
    };
    leftComponent?: ReactElement;
    rightComponent?: ReactElement;
    leftUnit?: string;
    rightUnit?: string;
    disabled?: boolean;
    isError?: boolean;
    containerStyle?: React.CSSProperties;
}
export declare const KaTextInput: ({ leftComponent, rightComponent, leftUnit, rightUnit, inputProps, disabled, isError, containerStyle, }: KaTextInputProps) => ReactElement;
